> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sunucupark.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authentication

> Login olarak 60 dakika geçerli token alabilirsiniz.

Test için kullanabileceğiniz kullanıcı bilgileri:
- Kullanıcı Adı: sunucupark
- Şifre: sunucupark



## OpenAPI

````yaml GET /login
openapi: 3.1.0
info:
  title: Tuna Matbaa API
  description: >-
    Tuna Matbaa'nın resmi API dokümantasyonu. Bu API, matbaa işlemlerinizi
    programatik olarak yönetmenizi sağlar.
  license:
    name: Proprietary
  version: 1.0.0
servers:
  - url: https://apitest.tunamatbaacilik.com.tr
    description: Production API
security: []
paths:
  /login:
    get:
      summary: Authentication
      description: |-
        Login olarak 60 dakika geçerli token alabilirsiniz.

        Test için kullanabileceğiniz kullanıcı bilgileri:
        - Kullanıcı Adı: sunucupark
        - Şifre: sunucupark
      operationId: getApiKey
      parameters:
        - name: username
          in: query
          required: true
          description: Firma Kullanıcı Adı
          schema:
            type: string
        - name: password
          in: query
          required: true
          description: Şifreniz
          schema:
            type: string
      responses:
        '200':
          description: Başarılı
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/AuthOkey'
              example: >-
                API_OK^f5c46f793e07c46fd49884b107e9bb2462fcaeabebc63a4e7923c9edb059e673
        '400':
          description: Kullanıcı adı ve parola belirtmelisiniz.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/AuthValidationError'
              example: API_ERROR^Kullanıcı adı ve parola belirtmelisiniz.
        '401':
          description: Kullanıcı adı veya parola hatalı
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/AuthUnauthorizedError'
              example: API_ERROR^Kullanıcı adı veya parola hatalı
        '404':
          description: Geçersiz istek
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/AuthNotFoundError'
              example: API_ERROR^Geçersiz istek
components:
  schemas:
    AuthOkey:
      type: object
      properties:
        status:
          type: string
          description: Başarılı durum (API_OK)
          example: API_OK
        token:
          type: string
          description: JWT token
          example: f5c46f793e07c46fd49884b107e9bb2462fcaeabebc63a4e7923c9edb059e673
      example:
        status: API_OK
        token: f5c46f793e07c46fd49884b107e9bb2462fcaeabebc63a4e7923c9edb059e673
    AuthValidationError:
      type: object
      properties:
        status:
          type: string
          description: Hata durumu (API_ERROR)
          example: API_ERROR
        message:
          type: string
          description: Validasyon hatası mesajı
          example: Kullanıcı adı ve parola belirtmelisiniz.
      example:
        status: API_ERROR
        message: Kullanıcı adı ve parola belirtmelisiniz.
    AuthUnauthorizedError:
      type: object
      properties:
        status:
          type: string
          description: Hata durumu (API_ERROR)
          example: API_ERROR
        message:
          type: string
          description: Yetkilendirme hatası mesajı
          example: Kullanıcı adı veya parola hatalı
      example:
        status: API_ERROR
        message: Kullanıcı adı veya parola hatalı
    AuthNotFoundError:
      type: object
      properties:
        status:
          type: string
          description: Hata durumu (API_ERROR)
          example: API_ERROR
        message:
          type: string
          description: Bulunamadı hatası mesajı
          example: Geçersiz istek
      example:
        status: API_ERROR
        message: Geçersiz istek

````